import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import java.util.Map;
import java.util.HashMap;

public class Test {
    public static void main(String args[]) {
        if(args.length > 0) {
            if(args[0].equals("test1")) {
                test1();
            } else if(args[0].equals("test2")) {
                test2();
            }
        } else {
            test1();
            test2();
        }
    }
    
    private static void test1() {
        Map properties = new HashMap();
        
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("pu1", properties);
        try {
            EntityManager em = emf.createEntityManager();
            try {
                em.getTransaction().begin();
                
                Region1 region = new Region1(1L);
                em.persist(region);
                em.flush();

                em.remove(region);
                em.flush();
                
                em.getTransaction().commit();
            } finally {
                em.close();
            }
        } finally {
            emf.close();
        }
    }
    
    private static void test2() {
        Map properties = new HashMap();
//        properties.put("toplink.logging.logger", "JavaLogger");
        
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("pu2", properties);
        try {
            EntityManager em = emf.createEntityManager();
            try {
                em.getTransaction().begin();
                
                Region2 region = new Region2(1L);
                em.persist(region);
                em.flush();

                em.remove(region);
                em.flush();
                
                em.getTransaction().commit();
            } finally {
                em.close();
            }
        } finally {
            emf.close();
        }
    }
    
}
